package xn.xxp.main.monitor;

import android.view.View;
import android.widget.TextView;

import cn.nodemedia.NodePlayer;
import cn.nodemedia.NodePlayerView;
import http.vo.response.MonitorVo;

public class MonitorInfo {
    private NodePlayerView nodePlayerView;
    private NodePlayer nodePlayer;
    private MonitorVo monitorVo;
    private boolean isFull;
    private View containerView;
    private TextView loadingText; // 添加加载文本引用
    private boolean isPlaying = false; // 添加播放状态
    private TextView loadingTextView; // 加载文本视图

    public boolean isFull() {
        return isFull;
    }

    public void setFull(boolean full) {
        isFull = full;
    }

    public NodePlayerView getNodePlayerView() {
        return nodePlayerView;
    }

    public void setNodePlayerView(NodePlayerView nodePlayerView) {
        this.nodePlayerView = nodePlayerView;
    }

    public NodePlayer getNodePlayer() {
        return nodePlayer;
    }

    public void setNodePlayer(NodePlayer nodePlayer) {
        this.nodePlayer = nodePlayer;
    }

    public MonitorVo getMonitorVo() {
        return monitorVo;
    }

    public void setMonitorVo(MonitorVo monitorVo) {
        this.monitorVo = monitorVo;
    }

    public View getContainerView() {
        return containerView;
    }

    public void setContainerView(View containerView) {
        this.containerView = containerView;
    }

    public TextView getLoadingText() {
        return loadingText;
    }

    public void setLoadingText(TextView loadingText) {
        this.loadingText = loadingText;
    }

    public boolean isPlaying() {
        return isPlaying;
    }

    public void setPlaying(boolean playing) {
        isPlaying = playing;
    }

    public TextView getLoadingTextView() {
        return loadingTextView;
    }

    public void setLoadingTextView(TextView loadingTextView) {
        this.loadingTextView = loadingTextView;
    }
}